Deletes provided row access policies.
HTTP request
POST https://bigquery.googleapis.com/bigquery/v2/projects/{projectId}/datasets/{datasetId}/tables/{tableId}/rowAccessPolicies:batchDelete
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
projectId |
Required. Project ID of the table to delete the row access policies. |
datasetId |
Required. Dataset ID of the table to delete the row access policies. |
tableId |
Required. Table ID of the table to delete the row access policies. |
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{ "policyIds": [ string ], "force": boolean } |
| Fields | |
|---|---|
policyIds[] |
Required. Policy IDs of the row access policies. |
force |
If set to true, it deletes the row access policy even if it's the last row access policy on the table and the deletion will widen the access rather narrowing it. |
Response body
If successful, the response body is an empty JSON object.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/bigqueryhttps://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.